#### NESTED DESIGN

#Reading and writting the data
FATN<-read.csv2("fatn.csv", header=T)
attach(FATN)
dim(FATN)
summary(FATN)
write.table(FATN, quote=F)

#Boxplot by groups
boxplot(FAT~TRT); dev.new()

#Testing H0, i.e., population means are equal
summary(FATN.F<-aov(FAT~TRT/FARM)) #FARM whitin TRT fixed
summary(FATN.R<-aov(FAT ~ TRT + Error(FARM))) #FARM within TRT random

#ANOVA diagnostics 
plot(FATN.F, which=1)# only works with fixed effects

#Table of descriptive statistics
M<-tapply(FAT, TRT, mean)
SD<-tapply(FAT, TRT, sd)
cbind ("Mean"=M, "StD"=SD) 

#Post-hoc Tukeys test to investigate pairwise mean
#differences between groups (treatments)
library(multcomp)
summary(glht(FATN.F, linfct=mcp (TRT="Tukey")))# only works with fixed effects

q()